package com.zfire.jiasm.syncdata.download.other.refunds;

import lombok.extern.slf4j.Slf4j;

/** 新做的接口
 * 总部退换货更新
 */
@Slf4j
// @Component
public class Update {
    /*
    @Resource
    TblAddUploadListService tblAddUploadListService;
    @Resource
    OtherDownService otherDownService;


    @Scheduled(fixedDelayString = "${ththhgx}")
    public void refresh(){
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");

        log.info("开始退换货更新: \uF0B7{}",sdf.format(new Date()));
        // 提取家用特殊安装工单需要新增的数据
        List<TblAddUploadList> taus = tblAddUploadListService.lambdaQuery()
                .eq(TblAddUploadList::getType, 5)
                .eq(TblAddUploadList::getSynStatus, 0).list();
        for (TblAddUploadList item : taus) {
            try{
                otherDownService.updateRefunds(item);
            } catch (Exception ex) {
                ex.printStackTrace();
                log.info("退换货更新【" + item.getTabName() +"】失败");
            }
        }
        log.info("退换货更新结束: \uF0B7{}",sdf.format(new Date()));
    }
    */
}
